/**
 * 定时获取用户cookie
 */
window.setInterval(function () {
    chrome.cookies.getAll({domain: 'www.cnshuqian.com'}, function (cookies) {
        var username = null;
        var uid = null;
        if (cookies.length > 0) {
            for (var i = 0; i < cookies.length; i++) {
                if (cookies[i].name == 'username' && cookies[i].value != null) {
                    username = cookies[i].value;
                }
                if (cookies[i].name == 'uid' && cookies[i].value != null) {
                    uid = cookies[i].value;
                }
            }
        }
        // console.log('获取到username：'+username);
        // console.log('获取到uid：'+uid);
        if (username == null) {
            localStorage.removeItem('username');
        } else {
            localStorage.setItem('username', username);
        }
        if (uid == null) {
            localStorage.removeItem('uid');
        }else {
            localStorage.setItem('uid', uid);
        }

    });
}, 5000);

//休眠时间，单位为毫秒
function sleep(n) {
    var start = new Date().getTime();
    console.log('休眠前：' + start);
    while (true) {
        var time = new Date().getTime();
        if (time - start > n) {
            break;
        }
        // console.log('正在休眠');
    }
    var end = new Date().getTime();
    console.log('休眠后:' + end);
    console.log('用时:' + (end - start));

}
