/**
 * 点击保存
 */
$(".bt1").click(function () {
    var url = $("#url").val();
    var title = $("#title").val();
    var comm = $("#comm").val();
    var tags = $("#tags").val();
    var shares = $('input:radio:checked').val();
    if (isNull(url)) {
        $("#tip").text('url不能为空');
        return;
    }
    if (isNull(title)) {
        $("#tip").text('标题不能为空');
        return;
    }
    if (tagreg(tags)) {
        $("#tip").text('标签不符合规范(最多5个汉族，字母最多8个字符，多个标签用空格隔开');
        return;
    }
    var username = localStorage.getItem('username');
    var uid = localStorage.getItem('uid');
    if (isNull(username) || isNull(uid)) {
        $("#tip").text('请先登录小红鱼书签网站,www.cnshuqian.com');
        return;
    }
    $("#tip").text('');
    $.ajax({
        type: 'post',
        url: 'http://www.cnshuqian.com?c=Mark&a=pulgsave',
        dataType: 'json',
        data: {
            "url": url,
            "title": title,
            "comm": comm,
            "tags": tags,
            "shares": shares,
            "username": username,
            "uid": uid
        },
        success: function (data) {
            console.log(data);
            if (data.ok != undefined) {
                $("#tip").text(data.ok);
                window.close();
            }else if (data.url!=undefined){
                $("#tip").text(data.url);
            }
        },
        error: function (data) {
            console.log(data);
            // $("#tip").text(data.ng);
            $("#tip").text(data.responseText);
        }
    })
});

/**
 * 获取当前tab的url和title
 */
chrome.windows.getCurrent(function (currentWindow) {
    chrome.tabs.query({active: true, windowId: currentWindow.id}, function (tabs) {
        $("#url").val(tabs[0].url);
        $("#title").val(tabs[0].title);
        console.log(tabs);
    });
});

/**
 * 判断空
 * @param str
 * @returns {boolean}
 */
function isNull(str) {
    if (str == undefined || str == null || str == '') {
        return true;
    }
    return false;
}


function tagreg(x4){
  
   if (x4 == undefined || x4 == null || x4 == '')
    {
     return false;
    }
   else{
   var mytag = /^(([\u4e00-\u9fa5]{1,4}|[a-zA-Z]{1,8})\s+){0,3}([\u4e00-\u9fa5]{1,4}|[a-zA-Z]{1,8})$/;
   if(!mytag.test(x4))
   {
    return true;
    
   }
   }

}





/**
 * 输入框事件
 */
$("#url,#title,#comm").focus(function () {
    $(this).css("color", "#0000ff");
}).blur(function () {
    $(this).css("color", "#34495e");
});

$(".bt2").click(function ()
 {

    window.close();
});